ninja_required_version = 1.3
cxx = c++
nvcc = /opt/dtk/bin/hipcc

cflags = -pthread -B /opt/conda/compiler_compat -Wno-unused-result -Wsign-compare -DNDEBUG -fwrapv -O2 -Wall -fPIC -O2 -isystem /opt/conda/include -fPIC -O2 -isystem /opt/conda/include -fPIC -DWITH_CUDA -I/home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc -I/opt/conda/lib/python3.10/site-packages/torch/include -I/opt/conda/lib/python3.10/site-packages/torch/include/torch/csrc/api/include -I/opt/conda/lib/python3.10/site-packages/torch/include/TH -I/opt/conda/lib/python3.10/site-packages/torch/include/THC -I/opt/conda/lib/python3.10/site-packages/torch/include/THH -I/opt/dtk/include -I/opt/conda/include/python3.10 -c
post_cflags = -fPIC -D__HIP_PLATFORM_HCC__=1 -DUSE_ROCM=1 -fPIC -D__HIP_PLATFORM_HCC__=1 -DUSE_ROCM=1 -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1013"' -DTORCH_EXTENSION_NAME=_C -D_GLIBCXX_USE_CXX11_ABI=1 -std=c++17
cuda_cflags = -DWITH_CUDA -I/home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc -I/opt/conda/lib/python3.10/site-packages/torch/include -I/opt/conda/lib/python3.10/site-packages/torch/include/torch/csrc/api/include -I/opt/conda/lib/python3.10/site-packages/torch/include/TH -I/opt/conda/lib/python3.10/site-packages/torch/include/THC -I/opt/conda/lib/python3.10/site-packages/torch/include/THH -I/opt/dtk/include -I/opt/conda/include/python3.10 -c
cuda_post_cflags = -fPIC -D__HIP_PLATFORM_HCC__=1 -DUSE_ROCM=1 -DCUDA_HAS_FP16=1 -D__HIP_NO_HALF_OPERATORS__=1 -D__HIP_NO_HALF_CONVERSIONS__=1 -DCUDA_HAS_FP16=1 -D__CUDA_NO_HALF_OPERATORS__ -D__CUDA_NO_HALF_CONVERSIONS__ -D__CUDA_NO_HALF2_OPERATORS__ --gpu-max-threads-per-block=1024 -finline-asm-ptx -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1013"' -DTORCH_EXTENSION_NAME=_C -D_GLIBCXX_USE_CXX11_ABI=1 --offload-arch=gfx906 --offload-arch=gfx926 --offload-arch=gfx928 -fno-gpu-rdc -std=c++17
cuda_dlink_post_cflags = 
ldflags = 

rule compile
  command = $cxx -MMD -MF $out.d $cflags -c $in -o $out $post_cflags
  depfile = $out.d
  deps = gcc

rule cuda_compile
  command = $nvcc  $cuda_cflags -c $in -o $out $cuda_post_cflags





build /home/bailuo/code/Matting-Anything/GroundingDINO/build/temp.linux-x86_64-cpython-310/groundingdino/models/GroundingDINO/csrc/MsDeformAttn/ms_deform_attn_cpu_hip.o: compile /home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc/MsDeformAttn/ms_deform_attn_cpu_hip.cpp
build /home/bailuo/code/Matting-Anything/GroundingDINO/build/temp.linux-x86_64-cpython-310/groundingdino/models/GroundingDINO/csrc/MsDeformAttn/ms_deform_attn_cuda.o: cuda_compile /home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc/MsDeformAttn/ms_deform_attn_cuda.hip
build /home/bailuo/code/Matting-Anything/GroundingDINO/build/temp.linux-x86_64-cpython-310/groundingdino/models/GroundingDINO/csrc/hip_version.o: cuda_compile /home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc/hip_version.hip
build /home/bailuo/code/Matting-Anything/GroundingDINO/build/temp.linux-x86_64-cpython-310/groundingdino/models/GroundingDINO/csrc/vision.o: compile /home/bailuo/code/Matting-Anything/GroundingDINO/groundingdino/models/GroundingDINO/csrc/vision.cpp






